run-jobs.hpp File Reference

Go to the source code of this file.

## Classes

class | Gecode::Support::Job< RetType >
| Baseclass for jobs with return type RetType. More...
class | Gecode::Support::JobStop< RetType >
| Class to throw an exception to stop new jobs from being started. More...
class | Gecode::Support::RunJobs< Jobs, RetType >
| Parallel iterator that runs jobs with a given number of threads. More...
class | Gecode::Support::RunJobs< Jobs, RetType >::Worker
| The actual worker using a thread to run a job. More...
class | Gecode::Support::RunJobs< Jobs, RetType >::Master
class | Gecode::Support::RunJobs< Jobs, RetType >::Deleter
| A class to delete the master (running in parallel). More...

## Namespaces

namespace | Gecode
| Gecode toplevel namespace
namespace | Gecode::Support
| Support algorithms and datastructures